package com.yaoxiang.planning.action

import com.yaoxiang.planning.model.Reply
import com.yaoxiang.planning.service.OpenService
import io.swagger.annotations.Api
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@Api(tags = ["开放接口"])
@RestController
@RequestMapping("/rest/planning/open")
class OpenAction {

    @Autowired
    private lateinit var openService: OpenService

    @GetMapping("hello")
    fun open(): Reply<Any> {
        return Reply.ok();
    }

}