package com.yaoxiang.planning.action

import com.yaoxiang.planning.model.Reply
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@Api(tags = ["Test"])
@RestController
@RequestMapping("/rest/planning/test")
class TestAction {

    @ApiOperation("hello")
    @GetMapping("hello")
    fun hello(): Reply<String> {
        return Reply.ok("hello world")
    }
}