package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table

@Entity
@ApiModel("部门信息")
@Table(indexes = [Index(name = "departmentUser", columnList = "departmentId,userId", unique = true)])
class DepartmentLeader : BaseLongEntity() {

    @ApiModelProperty("部门Id")
    @Column(columnDefinition = "int(20) COMMENT '部门Id'")
    val departmentId: Long? = null

    @ApiModelProperty("用户Id")
    @Column(columnDefinition = "int(20) COMMENT '用户Id'")
    val userId: Long? = null

}