package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.PlanningItem
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface PlanningItemRepo : JpaRepository<PlanningItem, Long> {
    fun findByPlanningIdAndType(planningId: Long, type: Int): List<PlanningItem>
}