package com.yaoxiang.planning.config

import com.alibaba.druid.pool.DruidDataSource
import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import javax.sql.DataSource

@Configuration
class PlanningConfig {

    @Bean
    //    @Profile("dev")
    @ConfigurationProperties("spring.datasource")
    fun dataSource(): DataSource {
        return DruidDataSource()
    }
}