package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table

@Entity
@ApiModel("权限")
@Table(indexes = [Index(name = "nameTypeEndPointIndex", columnList = "name,type,endpoint", unique = true)])
class Authority() : BaseLongEntity() {

    @ApiModelProperty("名称")
    @Column(columnDefinition = "varchar(64) COMMENT '名称'")
    var name: String? = null

    @ApiModelProperty("终端类型")
    @Column(columnDefinition = "varchar(64) COMMENT '终端类型'")
    var endpoint: String? = null

    @ApiModelProperty("类型 fun business")
    @Column(columnDefinition = "varchar(64) COMMENT '类型'")
    var type: String? = null


}