package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.AnnualPlan
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface AnnualPlanRepo : JpaRepository<AnnualPlan, Long> {

    fun findFirstByYear(year: Int): Optional<AnnualPlan>
}