package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.Department
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface DepartmentRepo : JpaRepository<Department, Long> {
    fun findFirstByParentIdIsNull(): Optional<Department>

    fun existsByName(name: String): Boolean
}