package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.QuarterlyPlan
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface QuarterlyPlanRepo : JpaRepository<QuarterlyPlan, Long> {
    fun findFirstByYearAndQuarter(year: Int, quarter: Int): Optional<QuarterlyPlan>

    fun findByYear(year: Int): List<QuarterlyPlan>

    fun findByYearAndDepartmentId(year: Int, departmentId: Long): List<QuarterlyPlan>
}