package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.UserInfo
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface UserInfoRepo : JpaRepository<UserInfo, Long> {

    fun findByUsername(username: String): Optional<UserInfo>

    fun findByPhone(phone: String): Optional<UserInfo>

    fun existsByUsername(username: String): Boolean

    fun findAllByDepartmentIdIn(ids: List<Long>): List<UserInfo>
}