package com.yaoxiang.planning.repository

import com.yaoxiang.planning.domain.WeeklyPlan
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository
import java.util.*

@Repository
interface WeeklyPlanRepo : JpaRepository<WeeklyPlan, Long> {
    fun findAllByUserIdAndStartTimeBetween(userId:Long,start: Date, end: Date): List<WeeklyPlan>
    fun findAllByStartTimeBetween(start: Date, end: Date): List<WeeklyPlan>
}