package com.yaoxiang.planning.utils

import com.yaoxiang.planning.domain.Department
import com.yaoxiang.planning.domain.UserInfo
import org.junit.jupiter.api.AfterEach
import org.junit.jupiter.api.BeforeEach

import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.Test

internal class TreeUtilTest {

    @BeforeEach
    fun setUp() {
    }

    @AfterEach
    fun tearDown() {
    }

    @Test
    fun test() {
        val root = Department()
        root.id = 1
        root.name = "root"

        val child1 = Department()
        child1.id = 2
        child1.name = "a"
        child1.parentId = 1

        val child2 = Department()
        child2.id = 3
        child2.name = "b"
        child2.parentId = 1

        val child3 = Department()
        child3.id = 4
        child3.name = "c"
        child3.parentId = 2

        val child4 = Department()
        child4.id = 5
        child4.name = "d"
        child4.parentId = 4

        val list = mutableListOf<ToTree>(root, child1, child2, child3, child4)
        TreeUtil.listAllChildren(root, list)

        println(root)
    }

    @Test
    fun test1() {
        val user1 = UserInfo()
        user1.name = "a"
        user1.departmentId = 1

        val user2 = UserInfo()
        user2.name = "b"
        user2.departmentId = 1

        val user3 = UserInfo()
        user3.name = "c"
        val list = listOf(user1, user2, user3)
        val group = list.groupBy { it.departmentId }
        println(group)
    }
}